<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import MarkdownRenderer from '@/components/general/MarkdownRenderer.vue';
import Image from '@/components/general/Image.vue';
import { computed, inject } from 'vue';

const props = defineProps<{
    answer: any,
    personName: string,
    userName: string
}>();

const configuration = inject<any>('configuration');

const getPath = computed(()=>{
    return configuration.exportApiServer + props.answer.message;
});

</script>
<template>
    <div class="p-4 flex flex-col gap-2">
        <div class="bg-gray-300 w-fit rounded-b-md px-2 -mt-4 select-none" v-if="answer.meta?.option"><div>{{$t(`ai.chat.option.${answer.meta.option}.label`)}}</div></div>
        <b class="export-column-header underline">{{ answer.user === 'system' ? personName: userName }}</b>
        <MarkdownRenderer :source="answer.message" v-if="!answer.message.includes('png')" :print="true" :hide-source-copy-button="true"/>
        <Image :src="getPath" v-else/>
    </div>
</template>